Bug 122108 - Bash problem with cd
Summary: Bash problem with cd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setup   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-30 15:37 UTC by John Rigsby
Modified: 2014-03-17 02:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 05:45:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Rigsby 2004-04-30 15:37:36 UTC
Description of problem:
A directory called \ causes bash to hang up
It doesnt hang up tcsh

Version-Release number of selected component (if applicable):

How reproducible: It does this on my machine.  I got a friend to try
it out and it did the same thing on his machine

Steps to Reproduce:
1. mkdir /tmp/bug
2. cd /tmp/bug
3. mkdir \\
4. cd \\

Actual results: shell hangs up

Expected results: should be able to cd into the directory

Additional info:

Comment 1 Tim Waugh 2004-04-30 15:48:01 UTC
This comes from the PROMPT_COMMAND environment variable, defined in
/etc/bashrc.  You can work around it with 'unset PROMPT_COMMAND'.

Comment 2 Bill Nottingham 2004-09-23 05:45:18 UTC
This seems to work for me in current releases.


Note You need to log in before you can comment on or make changes to this bug.